<?xml version="1.0" encoding="utf-8"?>
<Defs>
  <!-- Implants -->
  <HediffDef Name="ImplantHediffBase_MTV" Abstract="True">
    <hediffClass>Hediff_Implant</hediffClass>
    <isBad>false</isBad>
  </HediffDef>
  <HediffDef ParentName="ImplantHediffBase_MTV">
    <defName>Vanya_StabPowerCore</defName>
    <label>稳定能量核心</label>
    <defaultLabelColor>(0.65, 0.3, 0.9)</defaultLabelColor>
    <stages>
      <li>
        <hungerRateFactor>0.5</hungerRateFactor>
        <capMods>
          <li>
            <capacity>BloodPumping</capacity>
            <offset>0.5</offset>
          </li>
          <li>
            <capacity>BloodFiltration</capacity>
            <offset>0.5</offset>
          </li>
          <li>
            <capacity>Metabolism</capacity>
            <offset>0.5</offset>
          </li>
        </capMods>
        <statOffsets>
          <ComfyTemperatureMin>-10</ComfyTemperatureMin>
          <ToxicSensitivity>-0.5</ToxicSensitivity>
        </statOffsets>
      </li>
    </stages>
    <spawnThingOnRemoved>Vanya_StabPowerCore</spawnThingOnRemoved>
  </HediffDef>
  <HediffDef ParentName="ImplantHediffBase_MTV">
    <defName>Vanya_ConsciousnessCube</defName>
    <label>思维魔方</label>
    <defaultLabelColor>(0.65, 0.3, 0.9)</defaultLabelColor>
    <stages>
      <li>
        <painFactor>0.8</painFactor>
        <restFallFactor>0.5</restFallFactor>
        <capMods>
          <li>
            <capacity>Consciousness</capacity>
            <offset>0.25</offset>
          </li>
          <li>
            <capacity>Manipulation</capacity>
            <offset>0.2</offset>
          </li>
          <li>
            <capacity>Talking</capacity>
            <offset>0.2</offset>
          </li>
        </capMods>
        <statOffsets>
          <PsychicSensitivity>-0.5</PsychicSensitivity>
          <MentalBreakThreshold>-0.1</MentalBreakThreshold>
        </statOffsets>
      </li>
    </stages>
    <spawnThingOnRemoved>Vanya_ConsciousnessCube</spawnThingOnRemoved>
  </HediffDef>
</Defs>